using System;
using System.Linq;
using System.Activities;
using System.Activities.Statements;
using System.Activities.Runtime;

namespace WF4Basics
{
    class Program
    {
        static void Main(string[] args)
        {
            //WorkflowInvoker.Invoke(new Workflow1());
            WorkflowApplication wa = new WorkflowApplication(new Workflow1());
            wa.Run();

            string username = Console.ReadLine();

            wa.ResumeBookmark("ReadLineBookmark", username);

            Console.ReadLine();
        }
    }
}
